package com.qunzhixinxi.hnqz.admin.mapper;


import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qunzhixinxi.hnqz.admin.entity.WmDaProject;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 档案-项目管理
 *
 * @author Liujh
 * @date 2020-12-8
 */
@Mapper
public interface WmDaProjectMapper extends BaseMapper<WmDaProject> {
	int deleteByPrimaryKey(Integer id);

	int insert(WmDaProject record);

	int insertSelective(WmDaProject record);

	WmDaProject selectByPrimaryKey(Integer projectId);

	int updateByPrimaryKeySelective(WmDaProject record);

	int updateByPrimaryKey(WmDaProject record);

	public IPage<Map<String, Object>> selectWmDaProjectList(Page page, @Param("query")WmDaProject wmDaProject);

	List<WmDaProject> selectWmDaProjectByParam(Map paramMap);
}